For Developers

Fetch Team

GET https://ed.link/api/v2/teams/:team_id

Returns a model-shaped MikroORM Team entity for a team the authenticated user belongs to. Requires the teams.read system permission (or Edlink admin access).

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "d078e26d-9fcc-4f2b-b19f-430891906061",
        "created_date": "2020-02-14T17:20:06.254Z",
        "updated_date": "2025-11-12T08:30:00.000Z",
        "name": "Edlink University",
        "type": "district",
        "state": "active",
        "alias": "edu",
        "description": "Demo district team",
        "website": "https://edu.example.com",
        "icon_url": "/teams/edu/icon.png",
        "verified": true,
        "mfa_required": false,
        "billing_enabled": true,
        "technical_contacts": ["admin@edu.example.com"],
        "support_contacts": ["support@edu.example.com"]
    }
}